Skip to main content
GET
/
api
/
v1
/
account
/
crypto-payins
/
{oid}
Get crypto payin order details
curl --request GET \
  --url https://sandbox-revo-api.raliopay.com/api/v1/account/crypto-payins/{oid} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2025-01-15T10:30:00.000Z",
  "destination": {
    "currency": "CURRENCY",
    "amount": 1000
  },
  "displayType": "Crypto Pay In",
  "failedAt": "2025-01-15T10:30:05.000Z",
  "fee": {
    "amount": 100,
    "breakdown": {
      "merchantFee": 40,
      "systemFee": 60
    },
    "currency": "EUR"
  },
  "fx": {
    "pair": "CURRENCY/CURRENCY",
    "rate": 1.08,
    "timestamp": "2025-01-15T10:30:00.000Z"
  },
  "id": "f6a7b8c9-d0e1-4f2a-3b4c-5d6e7f8a9b0c",
  "origin": {
    "currency": "CURRENCY",
    "amount": 1000
  },
  "recipient": {
    "accountId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e"
  },
  "reference": "Crypto deposit",
  "sender": {
    "txHash": "8234104122482341265491137074636836252947884782870784360943022469005013929455"
  },
  "settledAt": "2025-01-15T10:30:05.000Z",
  "state": "SETTLED",
  "type": "CRYPTO_PAY_IN",
  "updatedAt": "2025-01-15T10:30:05.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key for accessing management endpoints

Path Parameters

oid
string
required

Crypto Payin Order ID

Response

OK

createdAt
string
Example:

"2025-01-15T10:30:00.000Z"

destination
object
displayType
string
Example:

"Crypto Pay In"

failedAt
string
Example:

"2025-01-15T10:30:05.000Z"

fee
object
fx
object
id
string
Example:

"f6a7b8c9-d0e1-4f2a-3b4c-5d6e7f8a9b0c"

origin
object
recipient
object
reference
string
Example:

"Crypto deposit"

sender
object
settledAt
string
Example:

"2025-01-15T10:30:05.000Z"

state
string
Example:

"SETTLED"

type
string
Example:

"CRYPTO_PAY_IN"

updatedAt
string
Example:

"2025-01-15T10:30:05.000Z"